> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fieloloyalty.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ledger Entries Between Dates



## OpenAPI

````yaml /api-reference/Loyalty-App-Open-API-Spec_Swagger.yaml post /dx/api/application/v2/data_views/LedgerEntriesBetweenDates
openapi: 3.0.0
info:
  title: Fielo Loyalty App API Spec
  version: 1.0.0
servers: []
security: []
paths:
  /dx/api/application/v2/data_views/LedgerEntriesBetweenDates:
    post:
      summary: Get Ledger Entries Between Dates
      requestBody:
        content:
          application/json:
            example:
              dataViewParameters:
                MemberExternalID: '34567890'
                FromDateTime: '2025-08-01T21:50:42.060Z'
                ToDateTime: '2025-08-15T21:50:42.060Z'
              query:
                select:
                  - field: CurrencyAvailable
                  - field: CurrencyAwarded
                  - field: Type
                  - field: Member
                  - field: MemberBalance
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                data:
                  - '@version': 1
                    '@class': LedgerEntryCase
                    CurrencyAvailable: 20
                    CurrencyAwarded: 20
                    Type: Adjustment
                    MemberBalance: 20
                    ID: >-
                      STE6TG95YWx0eV9fTGVkZ2VyRW50cnlDYXNlXzY4OWUxMWQ5ZjY4MTRmMDBhNjg5MjJmNA
                resultCount: 1
                fetchDateTime: '2025-08-14T17:02:06.440Z'

````